#include <bits/stdc++.h>

#define FAST ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define pb push_back

using namespace std;

int main()
{
    FAST

    vector<int> niz, upiti;
    long long n, q;
    cin >> n >> q;
    for(int i = 0; i < n; i++){
        int k;
        cin >> k;
        niz.pb(k);
    }
    for(int i = 0; i < q; i++){
        int k;
        cin >> k;
        upiti.pb(k);
    }
    sort(niz.begin(), niz.end());
    for(int r = 0; r < q; r++){
        int rez = 0;
        int pozicija_veci = upper_bound(niz.begin(), niz.end(), upiti[r]) - niz.begin();
        int pozicija_manji = lower_bound(niz.begin(), niz.end(), upiti[r]) - niz.begin();
        int jednakih = pozicija_veci - pozicija_manji;
        int manjih = 0;
        int vecih = 0;
        manjih = pozicija_manji;
        vecih = n - manjih - jednakih;
        int elemenata = n;
        if(jednakih == 0){
            rez++;
            jednakih++;
            elemenata++;
        }
        int polovina = elemenata / 2;
        if(polovina >= manjih && polovina < n - vecih){
            rez = rez;
        }
        else if(polovina < manjih){
            int medijana = manjih + 1;
            int elemenata2 = (medijana % 2) ? (2 * medijana - 1) : (2 * medijana - 2);
            rez += elemenata2 - elemenata;
        }
        else{
            int medijana = vecih + 1;
            int elemenata2 = (medijana % 2) ? (2 * medijana - 1) : (2 * medijana - 2);
            rez += elemenata2 - elemenata;
        }
        cout << rez << endl;
    }
    return 0;
}